/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#ifndef AVISITOR_H
#define AVISITOR_H

class Angle;
class AnimatedColor;
class AnimatedEnum;
class AnimatedLength;
class AnimatedNumber;
class AnimatedTransformList;
class ColorAttribute;
class Enumeration;
class FillAttribute;
class LengthAttribute;
class Number;
class StrokeAttribute;
class TimeAttribute;
class Transform;
class TransformList;
class URIReference;
/**
Visits Attribute objects

@author Hans Oischinger
*/
class AVisitor{
public:
    AVisitor();
    virtual ~AVisitor();

    virtual bool visit( Angle& ) { return true; }
    virtual bool visit( AnimatedColor& ) { return true; }
    virtual bool visit( AnimatedEnum& ) { return true; }
    virtual bool visit( AnimatedLength& ) { return true; }
    virtual bool visit( AnimatedNumber& ) { return true; }
    virtual bool visit( AnimatedTransformList& ) { return true; }
    virtual bool visit( ColorAttribute& ) { return true; }
    virtual bool visit( Enumeration& ) { return true; }
    virtual bool visit( FillAttribute& ) { return true; }
    virtual bool visit( LengthAttribute& ) { return true; }
    virtual bool visit( Number& ) { return true; }
    virtual bool visit( StrokeAttribute& ) { return true; }
    virtual bool visit( TimeAttribute& ) { return true; }
    virtual bool visit( Transform& ) { return true; }
    virtual bool visit( TransformList& ) { return true; }
    virtual bool visit( URIReference& ) { return true; }
};

#endif
